Subject: bug#54182: closed (Re: [bug#54182] [PATCH] gnu: foot: Add TERMINFO_DIRS to the search paths)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Feb 2022 17:24:02 +0000

Your bug report

#54182: [PATCH] gnu: foot: Add TERMINFO_DIRS to the search paths

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54182: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54182
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#54182] [PATCH] gnu: foot: Add TERMINFO_DIRS to the search paths
From: Kevin Boulain <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 Feb 2022 18:23:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Oh, my bad, I guess I can't search :)
I see that some discussion has already happened and a proper solution
isn't as simple as that. Let's close this one then.

On Sun, 27 Feb 2022 at 16:42, Maxime Devos <[email-masked]> wrote:
>
> This appears to be a duplicate of #53257
> (https://issues.guix.gnu.org/53257)

Subject: [PATCH] gnu: foot: Add TERMINFO_DIRS to the search paths
From: Kevin Boulain <[email-masked]>
To: [email-masked]
Cc: Kevin Boulain <[email-masked]>
Date: Sun, 27 Feb 2022 15:37:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

A few other terminals in this file already do that to expose the
terminfo database. Without it, other programs will complain about
the "unknown terminal: foot".

* gnu/packages/terminals.scm (foot): Export TERMINFO_DIRS.
---
 gnu/packages/terminals.scm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/gnu/packages/terminals.scm b/gnu/packages/terminals.scm
index 06fa341472..a9500d6626 100644
--- a/gnu/packages/terminals.scm
+++ b/gnu/packages/terminals.scm
@@ -858,6 +858,12 @@ (define-public foot
            pkg-config scdoc wayland-protocols))
     (inputs
      (list fcft libxkbcommon wayland))
+    (native-search-paths
+     ;; FIXME: This should only be located in 'ncurses'.  Nonetheless it is
+     ;; provided for usability reasons.  See <https://bugs.gnu.org/22138>.
+     (list (search-path-specification
+            (variable "TERMINFO_DIRS")
+            (files '("share/terminfo")))))
     (synopsis "Wayland-native terminal emulator")
     (description
      "@command{foot} is a terminal emulator for systems using the Wayland
-- 
2.34.0